KIE.AI
old-model
  • All Model
  • old-model
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
Support
old-model
  • All Model
  • old-model
old-model
  • All Model
  • old-model
Suno API
4o Image APIVeo3.1 APIRunway APIFlux Kontext API
Suno API
4o Image APIVeo3.1 APIRunway APIFlux Kontext API
  1. Vocal Removal
  • Suno API Quickstart
  • Music Generation
    • Music Cover Generation Callbacks
    • Music Generation Callbacks
    • Music Extension Callbacks
    • Audio Upload and Cover Callbacks
    • Audio Upload and Extension Callbacks
    • Add Instrumental Callbacks
    • Add Vocals Callbacks
    • Replace Music Section Callbacks
    • Generate Music
      POST
    • Extend Music
      POST
    • Upload And Cover Audio
      POST
    • Upload And Extend Audio
      POST
    • Add Instrumental to Music
      POST
    • Add Vocals to Music
      POST
    • Get Music Task Details
      GET
    • Get Timestamped Lyrics
      POST
    • Boost Music Style
      POST
    • Generate Music Cover
      POST
    • Get Cover Generation Details
      GET
    • Replace Music Section
      POST
    • Generate Persona
      POST
    • Generate Mashup Music
      POST
    • Recovery Audio
      POST
  • Lyrics Generation
    • Lyrics Generation Callbacks
    • Generate Lyrics
    • Get Lyrics Task Details
  • WAV Conversion
    • Convert to WAV Callbacks
    • Convert to WAV Format
    • Get WAV Conversion Details
  • Vocal Removal
    • Audio Separation Callbacks
    • MIDI Generation Callbacks
    • Vocal & Instrument Stem Separation
      POST
    • Get Vocal Separation Details
      GET
    • Generate MIDI from Audio
      POST
    • Get MIDI Generation Details
      GET
  • Music Video Generation
    • Music Video Generation Callbacks
    • Create Music Video
    • Get Music Video Details
  • Sounds Generation
    • Generate sounds
  • voice
    • Suno Voice Generation Callback
    • Suno Voice Validation Phrase Callback
    • Suno Voice Generate Verification Phrase API
    • Suno Voice Get Verification Phrase API
    • Suno Voice Create Custom Voice API
    • Suno Voice Get Custom Voice Records
    • Suno Voice Regenerate Verification Phrase
    • Suno Voice Check Availability API
  1. Vocal Removal

Get MIDI Generation Details

GET
/api/v1/midi/record-info
Retrieve detailed information about a MIDI generation task including complete note data for all detected instruments.

Usage Guide#

Use this endpoint to check the status of a MIDI generation task
Access complete MIDI note data once processing is complete
Retrieve detailed instrument and note information
Track processing progress and any errors that may have occurred

Status Descriptions#

successFlag: 0: Pending - Task is waiting to be executed
successFlag: 1: Success - MIDI generation completed successfully
successFlag: 2: Failed - Failed to create task
successFlag: 3: Failed - MIDI generation failed
Check errorCode and errorMessage fields for failure details

Developer Notes#

The midiData field contains the complete MIDI data as a structured object with instruments and notes
MIDI data includes all detected instruments with pitch, timing, and velocity for each note
MIDI generation records are retained for 14 days
Important: When using vocal separation with type: split_stem, the midiData may be empty

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
application/json
MIDI generation task details retrieved successfully
Bodyapplication/json

🔴500Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.kie.ai/api/v1/midi/record-info?taskId=5c79****be8e' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - 成功示例
{
    "code": 200,
    "msg": "success",
    "data": {
        "taskId": "5c79****be8e",
        "recordTaskId": -1,
        "audioId": "e231****-****-****-****-****8cadc7dc",
        "callbackUrl": "https://example.callback",
        "completeTime": 1760335255000,
        "midiData": {
            "state": "complete",
            "instruments": [
                {
                    "name": "Drums",
                    "notes": [
                        {
                            "pitch": 73,
                            "start": 0.036458333333333336,
                            "end": 0.18229166666666666,
                            "velocity": 1
                        },
                        {
                            "pitch": 61,
                            "start": 0.046875,
                            "end": 0.19270833333333334,
                            "velocity": 1
                        }
                    ]
                },
                {
                    "name": "Electric Bass (finger)",
                    "notes": [
                        {
                            "pitch": 44,
                            "start": 7.6875,
                            "end": 7.911458333333333,
                            "velocity": 1
                        }
                    ]
                }
            ]
        },
        "successFlag": 1,
        "createTime": 1760335251000,
        "errorCode": null,
        "errorMessage": null
    }
}
Previous
Generate MIDI from Audio
Next
Music Video Generation Callbacks
Built with